textures/t3h_poolparty2/poolparty2_white
{
    qer_editorimage textures/common/white.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/common/white.tga
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_concrete
{
    qer_editorimage textures/t3h_poolparty2/concrete.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/concrete.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_fieldstone
{
    qer_editorimage textures/t3h_poolparty2/fieldstone.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/fieldstone.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_fieldstone_stripe
{
    qer_editorimage textures/t3h_poolparty2/fieldstone-stripe.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/fieldstone-stripe.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_testies_advert
{
	qer_editorimage textures/t3h_poolparty2/testies.tga
	q3map_lightimage textures/t3h_poolparty2/testies.tga
    q3map_surfacelight 100
	{
		map textures/t3h_poolparty2/testies.tga
	    rgbGen wave square 0 1 0 0
	}
	{
		map $lightmap
        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/t3h_poolparty2/poolparty2_sky
{
	qer_editorimage env/t3h_poolparty2/skyclouds.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 217 229 232 400 100 55 3 16
    q3map_lightRGB 217 229 232
    q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
    q3map_backsplash 0 0
    skyparms env/t3h_poolparty2/sky - -
}


textures/t3h_poolparty2/poolparty2_water
{
	qer_editorimage textures/t3h_poolparty2/pool3d_3e.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/t3h_poolparty2/pool3d_5e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/t3h_poolparty2/pool3d_3e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/t3h_poolparty2/poolparty2_waterfog
{
	qer_editorimage textures/common/white.tga
	qer_trans .8
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.3 0.4 0.5 ) 1300
	qer_nocarve
}

textures/t3h_poolparty2/poolparty2_ladderclip
{
	qer_editorimage textures/common/white.tga
    qer_trans 0.40
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
    surfaceparm ladder
	surfaceparm trans
}

textures/t3h_poolparty2/poolparty2_ink
{
	qer_editorimage gfx/colors/black.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -0.65
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map gfx/colors/black.tga
		rgbGen identity
	}
}

textures/t3h_poolparty2/poolparty2-cb
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	qer_editorimage textures/t3h_poolparty2/cblogoplustext_huge.tga
	{
		map textures/t3h_poolparty2/cblogoplustext_huge.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/t3h_poolparty2/poolparty2-sc
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	qer_editorimage textures/t3h_poolparty2/summercup3.tga
	{
		map textures/t3h_poolparty2/summercup3.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}